<?php
/**
 * Render your site front page, whether the front page displays the blog posts index or a static page.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#front-page-display
 *
 * @package videoplace
 */

namespace JM_Web_Development\VideoPlace;

use WP_Query;

get_header();

videoplace()->print_styles( 'videoplace-content', 'videoplace-front-page' );
videoplace()->print_styles( 'videoplace-sidebar' );
videoplace()->load_light_styles();

$current_page = ( get_query_var( 'page' ) ) ? get_query_var( 'page' ) : 1
?>
	<main id="primary" class="site-main">
		<div class="row" id="top-post">
			<?php get_template_part( 'template-parts/front-page/top', 'post' ); ?>
		</div>

		<div id="inner-content" class="row home-posts-section">

			<div class="home-posts large-8 medium-12 small-12 columns">
				<?php get_template_part( 'template-parts/front-page/home', 'posts', [ 'paged' => $current_page ] ); ?>
			</div>

			<?php get_sidebar(); ?>

		</div> <!-- end #inner-content -->
	</main><!-- #primary -->
<?php
get_footer();
