<?php
/**
 * Template part for displaying the header branding
 *
 * @package videoplace
 */

namespace JM_Web_Development\VideoPlace;

if ( has_header_image() ) {
	$screen_reader = 'screen-reader-text';
} else {
	$screen_reader = '';
}

?>

<div class="site-branding">

	<?php
	if ( is_front_page() && is_home() ) {
		?>
		<h1 class="site-title <?php echo esc_attr( $screen_reader ); ?>"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
		<?php
	} else {
		?>
		<p class="site-title <?php echo esc_attr( $screen_reader ); ?>"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
		<?php
	}
	?>

	<?php
	$videoplace_description = get_bloginfo( 'description', 'display' );
	if ( $videoplace_description || is_customize_preview() ) {
		?>
		<p class="site-description <?php echo esc_attr( $screen_reader ); ?>">
			<?php echo $videoplace_description; /* phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped */ ?>
		</p>
		<?php
	}
	?>
</div><!-- .site-branding -->
